Author Topic: Release: 24.0.2  (Read 598 times)

0 Members and 1 Guest are viewing this topic.

Offline SirKnightly

  • George or Keira?
  • 211
Change log: (chronologically ordered)
Fix a font error when running SCPUI

Deprecations:
None

Deprecations are a mechanism in FSO where a certain feature or aspect of the engine has changed or is no longer supported. Since this would normally break existing mods, we have the mod table feature "$Target Version:" with which a mod can specify what version of FSO it was developed with. Any features listed under Deprecations will be removed or changed when the target version of a mod is at least the version released in this post.

Previous 24.0.1 Release Thread

Launchers, if you don't have one already:
All platforms: For every day use, we recommend Knossos.NET, an integrated solution for downloading and launching mods.

Hidden Text: Alternative Launchers • Show
Cross-platform: wxLauncher 0.12.x Test Build (legacy project for a unified launcher)
Important: For best compatibility with FSO 3.8 and later you should use at least wxLauncher 0.12.

Windows:  Launcher 5.5g (Mirror) (Mirror) Not compatible with Windows 8+, use wxLauncher above
OS X:  Soulstorm's OS X Launcher 3.0
Linux:  YAL or by hand or whatever you can figure out.

Windows (32/64-bit)
Compiled using GitHub Actions on Windows Server 2019 (10.0.17763), Visual Studio Enterprise 2019

64-bit: fs2_open_24_0_2-builds-x64-SSE2.zip

32-bit: fs2_open_24_0_2-builds-Win32-SSE2.zip
This one is based on the SSE2 Optimizations from the MSVC Compiler.

Hidden Text: Alternative builds • Show

64-bit AVX: fs2_open_24_0_2-builds-x64-AVX.zip
This one is based on the AVX Optimizations from the MSVC Compiler (fastest build if your CPU supports AVX instructions).


32-bit AVX: fs2_open_24_0_2-builds-Win32-AVX.zip
This one is based on the AVX Optimizations from the MSVC Compiler.

What are those SSE, SSE2 and AVX builds I keep seeing everywhere?
Your answer is in this topic.
Don't want to deal with that? Use Knossos.NET and it will download the best build specifically for your PC!

Linux 64-bit
Compiled with Ubuntu 16.04 LTS 64-bit, GCC 5
fs2_open_24_0_2-builds-Linux.tar.gz

These builds use a mechanism called AppImage which should allow these builds to run on most Linux distributions. However, we recommend that you compile your own builds which will result in less issues.
Alternatively, if there is a package in your software repository then you should use that. If you are the maintainer of such a package for a distribution then let us know and we will include that here.


macOS
macOS 10.9+
Intel (64-bit): fs2_open_24_0_2-builds-Mac-x86_64.tar.gz
Apple Silicon: fs2_open_24_0_2-builds-Mac-arm64.tar.gz

These builds are not signed and so by default will fail to launch. To run them simply right-click on the app, click open, then click open again on the security confirmation dialog. You should only have to do this once for each app.
If running the game through Knossos or Knossos.NET this step should not be necessary.

NOTE: macOS builds currently have limited support and may exhibit issues not present on other platforms.


Hidden Text: TrackIR Users • Show
Important!!
An external DLL is required for FSO to use TrackIR functions.  The following DLL is simply unpacked in to your main FreeSpace2 root dir.
TrackIR is only supported on Windows.
TrackIR SCP DLL (Mirror) (Mirror)

Known issues:
« Last Edit: May 18, 2024, 01:00:42 am by Goober5000 »